non_recursive_merge_sort.cpp File Reference
`#include <cstddef>`
`#include <iostream>`
`#include <utility>`
Include dependency graph for non_recursive_merge_sort.cpp:

## Namespaces

| sorting
| Sorting algorithms.

## Functions

template<class Iterator >
void | sorting::merge (Iterator l, Iterator r, const Iterator e, char b[])
| merges 2 sorted adjacent segments into a larger sorted segment More...
template<class Iterator >
void | sorting::non_recursive_merge_sort (const Iterator first, const Iterator last, const size_t n)
| bottom-up merge sort which sorts elements in a non-decreasing order More...
template<class Iterator >
void | sorting::non_recursive_merge_sort (const Iterator first, const size_t n)
| bottom-up merge sort which sorts elements in a non-decreasing order More...
template<class Iterator >
void | sorting::non_recursive_merge_sort (const Iterator first, const Iterator last)
| bottom-up merge sort which sorts elements in a non-decreasing order More...
int | main (int argc, char **argv)

## Detailed Description

Copyright 2020

Author
  Albirair

A generic implementation of non-recursive merge sort.